# Musepack

Musepack audio streams with APEv2 tags.

Musepack is an audio format originally based on the MPEG-1 Layer-2 algorithms. Stream versions 4 through 7 are supported.

For more information, see http://www.musepack.net/.

class mutagen.musepack.Musepack(filething)

  Bases: `APEv2File`

  Parameters:

    filething (filething)

  info
    Type:

      `MusepackInfo`

  static score(filename, fileobj, header)

    Returns a score for how likely the file can be parsed by this type.

    Parameters:

      - filename (fspath) – a file path

      - fileobj (fileobj) – a file object open in rb mode. Position is undefined

      - header (bytes) – data of undefined length, starts with the start of the file.

    Returns:

      negative if definitely not a matching type, otherwise a score,

        the bigger the more certain that the file can be loaded.

    Return type:

      int

class mutagen.musepack.MusepackInfo

  Bases: `StreamInfo`

  Musepack stream information.

  channels

    number of audio channels

    Type:

      `int`

  length

    file length in seconds, as a float

    Type:

      `float`

  sample_rate

    audio sampling rate in Hz

    Type:

      `int`

  bitrate

    audio bitrate, in bits per second

    Type:

      `int`

  version
    Type:

      `int`

  Optional Attributes:

  title_gain

    Replay Gain for this song

    Type:

      `float`

  title_peak

    Peak data for this song

    Type:

      `float`

  album_gain

    Replay Gain for this album

    Type:

      `float`

  album_peak

    Peak data for this album

    Type:

      `float`

  These attributes are only available in stream version 7/8. The gains are a float, +/- some dB. The peaks are a percentage [0..1] of the maximum amplitude. This means to get a number comparable to VorbisGain, you must multiply the peak by 2.

  pprint()
    Returns:

      Print stream information

    Return type:

      text